package net.northking.cctp.upperComputer.entity;

import java.util.Date;

public class DeviceInfo {

    /**
     * 主键id<br>
     */
    private String id;
    /**
     * 中文名称<br>
     */
    private String brandNameCn;
    /**
     * 产品名称<br>
     */
    private String productName;
    /**
     * 机型名称<br>
     */
    private String modelName;
    /**
     * 平台类型<br>
     */
    private String platform;
    /**
     * 平台版本<br>
     */
    private String platformVersion;
    /**
     * 上位机ip<br>
     */
    private String ctrlIp;
    /**
     * 上位机位置<br>
     */
    private String ctrlAddr;
    /**
     * 项目id<br>
     */
    private String projectId;
    /**
     * 到期时间<br>
     */
    private Date proExpiredTime;

    /**
     * 到期时间<br>
     */
    private Date tenantExpiredTime;
    /**
     * 设备状态(1-在线 2-离线 3-移除)<br>
     */
    private String deviceStatus;
    /**
     * 使用状态(1-空闲 2-使用中)<br>
     */
    private String usageStatus;

    private String tenantId;

    private String projectName;

    private String tenantName;

    private String proRecycleType;

    private String tenantRecycleType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBrandNameCn() {
        return brandNameCn;
    }

    public void setBrandNameCn(String brandNameCn) {
        this.brandNameCn = brandNameCn;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPlatformVersion() {
        return platformVersion;
    }

    public void setPlatformVersion(String platformVersion) {
        this.platformVersion = platformVersion;
    }

    public String getCtrlIp() {
        return ctrlIp;
    }

    public void setCtrlIp(String ctrlIp) {
        this.ctrlIp = ctrlIp;
    }

    public String getCtrlAddr() {
        return ctrlAddr;
    }

    public void setCtrlAddr(String ctrlAddr) {
        this.ctrlAddr = ctrlAddr;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Date getProExpiredTime() {
        return proExpiredTime;
    }

    public void setProExpiredTime(Date proExpiredTime) {
        this.proExpiredTime = proExpiredTime;
    }

    public Date getTenantExpiredTime() {
        return tenantExpiredTime;
    }

    public void setTenantExpiredTime(Date tenantExpiredTime) {
        this.tenantExpiredTime = tenantExpiredTime;
    }

    public String getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(String deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getUsageStatus() {
        return usageStatus;
    }

    public void setUsageStatus(String usageStatus) {
        this.usageStatus = usageStatus;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getProRecycleType() {
        return proRecycleType;
    }

    public void setProRecycleType(String proRecycleType) {
        this.proRecycleType = proRecycleType;
    }

    public String getTenantRecycleType() {
        return tenantRecycleType;
    }

    public void setTenantRecycleType(String tenantRecycleType) {
        this.tenantRecycleType = tenantRecycleType;
    }
}
